from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XPrimitiveFactory2D(XInterface, Protocol):
    def createPrimitivesFromXShape(self, xShape: XShape, aParms: PropertyValue >) -> list[XPrimitive2D]: ...
    def createPrimitivesFromXDrawPage(self, xDrawPage: XDrawPage, aParms: PropertyValue >) -> list[XPrimitive2D]: ...
